package org.example.SnakeGame;

import javafx.scene.shape.Circle;
import org.example.game.Direction;

import java.util.ArrayList;
import java.util.List;

public class Snake extends Circle {
    private List<Circle> tails;
    private int length = 0;
    private Direction currentDirection;
    private static final int step = 8;

    public Snake(double d, double d1, double d2){
        super (d, d1, d2);
        tails = new ArrayList<>();
        currentDirection = Direction.UP;
    }
    public void step(){

        if (currentDirection == Direction.UP){
            setCenterY(getCenterY()- step);
        }
        else if (currentDirection == Direction.DOWN){
            setCenterY(getCenterY() + step);
        }
        else if (currentDirection == Direction.LEFT) {
            setCenterX(getCenterX() - step);
        }
        else if (currentDirection == Direction.RIGHT) {
            setCenterX(getCenterX() + step);
        }
    }
    public Direction getCurrentDirection(){
        return currentDirection;
    }
    public void setCurrentDirection(Direction currentDirection){
        this.currentDirection = currentDirection;
    }

    private void eat(){

    }
}
